<link
  href="/css/portfolio-list.min.css"
  media="screen"
  rel="stylesheet"
  type="text/css"/>

<h1 class="visuallyhidden">Portfolio <%- title -%></h1>

<div>
  <% if children then %>
    <% if pagination and pagination.length > 1 then %>
      <% local relprev = rellink..pagination.prefix..tostring(pagination.current - 1)..'.html' %>
      <% local relnext = rellink..pagination.prefix..tostring(pagination.current + 1)..'.html' %>
      <link
        href="/css/nav-pagination.min.css"
        media="screen"
        rel="stylesheet"/>

      <link
        href="/css/nav-sequential.min.css"
        media="screen"
        rel="stylesheet"
        type="text/css"/>

      <nav class="nav-pagination nav-sequential">
        <ul>
          <li class="nav-sequential__select">
            <% if pagination and pagination.length > 1 then %>
              <label for="pgIndex"><small>Page</small></label>
              <select id="pgIndex">
                <% for i = 1, pagination.length do %>
                  <option
                    <% if pagination.current == i then %>
                    selected=""
                    <% end %>>
                    <%= i -%>
                  </option>
                <% end %>
              </select>
              <button id="pgIndexGo" type="button">Go</button>
            <% end %>
          </li>

          <li class="nav-sequential__prev">
            <a
              class="nav-pagination__prev"
              <% if pagination.current > 1 then %>
              href="<%= pagination.current > 2 and relprev or rellink -%>"
              rel="prev"
              <% end %>>
              Pécédentes
            </a>
          </li>
          <li class="nav-sequential__next">
            <a
              class="nav-pagination__next"
              <% if pagination.current < pagination.length then %>
              href="<%= relnext -%>"
              rel="next"
              <% end %>>
              Suivantes
            </a>
          </li>
        </ul>
      </nav>
    <% end %>

    <ol class="portfolio-list">
      <% for i = 1, #children do  %>
        <li class="portfolio-list__item">
          <a href="/portfolio/<%= children[i].slug -%>.html">
            <img
              alt=""
              src="/images/portfolio/<%= children[i].imagename:match('(.+)%..*')..'-320'..children[i].imageext -%>"
              width="320" />
          </a>
        </li>
      <% end %>
    </ol>
  <% end %>
</div>
